{ config
, pkgs
, inputs
, ...
}: {
  home.packages = with pkgs; [
    # aw-watcher-afk
    # aw-watcher-window-wayland # does not support kwin wayland
    # aw-webui
    # python312Packages.aw-core
    aw-server-rust
    my.awatcher
  ];

  programs.firefox.profiles.default.extensions = with config.nur.repos.rycee.firefox-addons; [
    aw-watcher-web
  ];

  services.activitywatch = {
    enable = true;
    package = pkgs.aw-server-rust;
    watchers = {
      awatcher.package = pkgs.my.awatcher;
    };
  };

  systemd.user.services.activitywatch-watcher-awatcher.Service = {
    Restart = "always";
    RestartSec = "5";
  };

  # TODO Add timer for `aw-sync --sync-dir=$HOME/Nextcloud/ActivityWatch/ sync --mode both`
  # (aw-sync binary is part of aw-server-rust)
}
