{ config
, pkgs
, inputs
, ...
}: {
  programs.mpv = {
    enable = true;
    package = pkgs.mpv;
  };
  programs.thunderbird = {
    enable = true;
    package = pkgs.betterbird;
    profiles."main" = {
      isDefault = true;
    };
  };
  programs.nheko = {
    enable = true;
  };
  programs.obs-studio = {
    enable = true;
    plugins = with pkgs.obs-studio-plugins; [
      wlrobs
      obs-backgroundremoval
      obs-pipewire-audio-capture
      obs-vaapi
      obs-gstreamer
    ];
  };

 xdg.desktopEntries.steam-2 = {
    name = "Steam (2.0 Scaling)";
    type = "Application";
    icon = "steam";
    comment = "steam with forced 2x scaling for highdpi displays";
    exec = "steam -forcedesktopscaling 2";
    terminal = false;
    prefersNonDefaultGPU = true;
    categories = [ "Network" "FileTransfer" "Game" ];
  };

  home = {
    file."Pictures/default_background.png".source = config.stylix.image;

    packages = with pkgs; [
      bitwarden
      airshipper
      ardour
      # blender
      brave
      cavalier
      ffmpeg
      freetube
      filelight
      element-desktop
      inkscape
      jellyfin-mpv-shim
      warp-terminal
      libsForQt5.kasts
      # miraclecast
      krita
      kdePackages.kate
      kdePackages.kdenlive
      kdePackages.kleopatra
      kdePackages.plasma-vault
      kdePackages.plasma-browser-integration
      kdePackages.kio-admin
      nextcloud-client
      onlyoffice-bin
      protonup-qt
      # rustdesk
      signal-desktop
      webcord-vencord
      tome4
      shattered-pixel-dungeon
      gst_all_1.gst-vaapi
      ace-of-penguins
      waypipe
      veracrypt
      deadbeef-with-plugins
      flightgear
    ];
  };
}
